import {select, json, geoPath,geoNaturalEarth1} from 'd3';
import {feature} from 'topojson';
const svg=select('svg');

// Creating the projection for a spherical projection and creating a path generator.
const projection=d3.geoAlbersUsa();
const pathGenerator=geoPath().projection(projection);

// Adding a sphere to the svg on which the map is rendered for a spherical render.
svg.append("path")
.attr("class","sphere")
.attr("d",pathGenerator({type:"Sphere"}));

// Getting the world data as topojson and defining the rendering logic.
json("https://unpkg.com/us-atlas@2.1.0/us/states-10m.json")
.then(data=>{
  // Converting the topojson to geojson.
  const countires=feature(data,data.objects.states);
  // Adding the geojson data to the svg path to render the map.
  svg.selectAll("path")
  .data(countires.features)
  .enter().append("path")
  .attr("class","land")
  .attr("d",d=>pathGenerator(d));
});